[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.RemoveAsyncCalls

Removes all calls added via QueueAsyncCall.

## Declaration

Source position: forms.pp line 1609

`public procedure TApplication.RemoveAsyncCalls(`
`const AnObject: TObject`
`);`

## Arguments

`AnObject` |  | Object instance with the queued TMethod request removed in the method.

## Description

This is thread safe.

## Errors

Exceptions are raised for various inconsistencies in the queue.

## See also

TApplication.QueueAsyncCall |  | Inserts an asynchronous call into the queue.
TApplication.Flags |  | Contains state flags for the application.
TApplicationFlags |  | Set type used to store values from the TApplicationFlag enumeration.
TApplicationFlag |  | Application state flags.
TAsyncCallQueues |  | Management information for asynchronous callbacks.
TAsyncCallQueue |  | Represents an asynchronous callback queue.
TMethod